
package org.openspml.browser;

import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class MainPanel extends JPanel {

    State _state;

    public MainPanel(State s) {

	setLayout(new BorderLayout());
	_state = s;

        JTabbedPane tabs = new JTabbedPane();
        add(tabs, BorderLayout.CENTER);

        JPanel p = new ConnectPanel(_state);
        tabs.add(p, "Connect");

        p = new SchemaPanel(_state);
        tabs.add(p, "Schema");

        p = new SearchPanel(_state);
        tabs.add(p, "Search");

        p = new AddPanel(_state);
        tabs.add(p, "Add");

        p = new ModifyPanel(_state);
        tabs.add(p, "Modify");

        p = new DeletePanel(_state);
        tabs.add(p, "Delete");

        p = new ExtendedPanel(_state);
        tabs.add(p, "Extended");

        p = new StatusPanel(_state);
        tabs.add(p, "Status");

        p = new CancelPanel(_state);
        tabs.add(p, "Cancel");
    }

}
